<!---
 WebSitePulse.com WSDL API: DoInstantTest Example
 Author: 	L. Estrella
			Education Development and Technology Centre (http://www.edtec.unsw.edu.au/)
			University of New South Wales
 Last Modified: 	2/2/2005
 --->

<html>
<head>
<title>WebSitePulse.com: DoInstantTest Example</title>
</head>
<body>

<!--- make a call to the webservice --->
<cfinvoke 
 webservice="http://api.websitepulse.com/wsp.wsdl" 
 method="doInstantTest" 
 returnVariable="testResults">
	<cfinvokeargument name="username" value="wspdemo">
	<cfinvokeargument name="key" value="35e6340814655582a79039dbc1cb0b65">
	<cfinvokeargument name="location" value="1">
	<cfinvokeargument name="targetType" value="A">
	<cfinvokeargument name="targetID" value="4">
</cfinvoke>

<!--- display returned results ---> 
<cfoutput>
<h1>Instant Test Response</h1>
<p>Label: #testResults.label#</p>
<p>Target Type: #testResults.targetType#</p>
<p>Status: #testResults.status#</p>
<p>Failure Rate: #testResults.fails#</p>
<p>Reponse Time: #testResults.respTime#</p>
<p>Connect Time: #testResults.connectTime#</p>
<p>DNS Time: #testResults.dnsTime#</p>
<p>First Byte: #testResults.firstByte#</p>
<p>Last Byte: #testResults.lastByte#</p>
<p>Ping Statistics:</p>
  <table border="1" cellspacing="3" cellpadding="5">
    <tr> 
      <th>Loss</th>
      <th>Min</th>
      <th>Avg</th>
      <th>Max</th>
    </tr>
    <tr> 
      <td>#testResults.pingLoss#</td>
      <td>#testResults.pingMin#</td>
      <td>#testResults.pingAvg#</td>
      <td>#testResults.pingMax#</td>
    </tr>
  </table>
</cfoutput>
<br><br><a href='http://www.websitepulse.com/'>Provided by WebSitePulse.com</a>
</body>
</html>
