#!/usr/local/bin/perl
use SOAP::Lite;

my $username="wspdemo";
my $key="35e6340814655582a79039dbc1cb0b65";
my $location=1; #Check http://www.websitepulse.com/services/network.php for a list of all Location IDs
my $targettype="T"; #A => All targets, B => Basic type, E => Advanced type, F => Performance type, I => Full-page type, T => Transactions, M => Mail transaction
my $targetID=1; #Target ID (required) - check www.websitepulse.com for details
my $wsdlfile="http://api.websitepulse.com/wsp.wsdl"; #This is the location of the WSDL file

my $wspStatus = SOAP::Lite -> service($wsdlfile);
my $result = $wspStatus->doInstantTransactionTest($username,$key,$location,$targetID);

print "Transaction Label: ".$result->{'label'}."\n".
	  "Status: ".$result->{'status'}."\n".
	  "Total Response Time: ".$result->{'respTime'}."\n";

foreach $r (@{$result->{'StepResults'}}) {
	print
		"\nStep No: ".$r->{'stepNumber'}."\n".
		"Label: ".$r->{'stepLabel'}."\n".
		"Status: ".$r->{'stepStatus'}."\n".
		"Response Time: ".$r->{'stepRespTime'}."\n".
		"DNS Time: ".$r->{'stepdnsTime'}."\n".
		"Connect Time: ".$r->{'stepconnectTime'}."\n".
		"First Byte: ".$r->{'stepfirstByte'}."\n".
		"Last Byte: ".$r->{'steplastByte'}."\n".
		"Size: ".$r->{'stepSize'}."\n".
		"MD5 Hash: ".$r->{'stepMd5'}."\n".
		"PING Loss: ".$r->{'stepPingLoss'}."\n".
		"PING Min: ".$r->{'stepPingMin'}."\n".
		"PING Avg: ".$r->{'stepPingAvg'}."\n".
		"PING Max: ".$r->{'stepPingMax'}."\n";
		
}
print "\nData Provided by WebSitePulse.com (http://www.websitepulse.com/)\n";
